SOLVED Unable to update PHP

Khim

Registered
Sep 9, 2019
3
1
3
Kenya
cPanel Access Level
Website Owner
Thank you Michael. I managed to fix it but now I'm trying to update PHP on my wordpress site hosted on vultr using instructions on vultr.com/docs/upgrade-to-php-7-on-the-vultr-wordpress-app but it's not working.

Code:
[[email protected] ~]# yum list installed php*
Loaded plugins: fastestmirror, universal-hooks
Loading mirror speeds from cached hostfile
 * EA4: 91.197.xxx.xxx
 * cpanel-addons-production-feed: 91.197.xxx.xxx
 * cpanel-plugins: 91.197.xxx.xxx
 * base: mirror.sov.uk.goscomb.net
 * epel: mirrors.coreix.net
 * extras: mirror.netweaver.uk
 * updates: mirror.netweaver.uk
Error: No matching Packages to list
[[email protected] ~]#
 
Last edited by a moderator:

cPanelMichael

Technical Support Community Manager
Staff member
Apr 11, 2011
47,862
2,216
363
cPanel Access Level
DataCenter Provider
Twitter
Hello @Khim,

The instructions on the linked article are not applicable to cPanel & WHM servers using EasyApache 4.

To install multiple versions of PHP on your cPanel & WHM server, perform the following steps:
  1. Enable your preferred PHP versions in WHM's EasyApache 4 interface (WHM >> Home >> Software >> EasyApache 4).
  2. Assign PHP versions to your users in WHM's MultiPHP Manager interface (WHM >> Home >> Software >> MultiPHP Manager).
Let me know if this helps.

Thank you.
 
  • Like
Reactions: Khim